❖ MatchMove Banking API Specifications

Sections

Theme switcher

Create sub-business

Header Parameters

X-Auth-User-IPstring

The IP using which the actor is making the request

X-Auth-Device-IDstring

The unique id of the device using which the actor is making the request

X-Auth-User-Agentstring

The user agent of the device using which the actor is making the request

X-Auth-Actorstring Required

The actor on behalf of whom the API request is being performed

Path Parameters

program_codestring Required

Unique identifier for your program, issued by MatchMove during onboarding. All requests must use the program_code assigned to your integration. Using a program_code that does not belong to your integration will result in an authorization error.

business_idstring Required

Body Parameters

idstring
rolestring

Role of the business user can be retrieved from GET /users/enumerations/business_roles

namestring

Business name

Max length
50
preferred_namestring
Max length
25
emailstring

Registration email for the business

mobile_country_codestring

Supported country codes for the program can be retrieved from GET /users/enumerations/mobile_country_codes

mobilestring
foundation_datestring
purpose_of_account_openingstring

Supported purpose of account opening for the program can be retrieved from GET /users/enumerations/business_purpose_of_account

tax_id_typestring

Supported id types for the program can be retrieved from GET /users/enumerations/business_id_types

tax_id_numberstring
tax_id_issuance_countrystring

Supported business id issuing country for the program can be retrieved from GET /users/enumerations/business_id_issuance_countries

tax_id_date_issuedstring

Business ID issue date (ISO 8601)

tax_id_date_expirystring

Business ID expiry date (ISO 8601)

client_reference_idstring

Client Ref ID

Max length
50
source_of_fundsstring

Supported business source of funds for the program can be retrieved from GET /users/enumerations/business_source_of_funds

additional_detailsobject

JSON meta data of additional detail

Response

200
Object

OK

Response Attributes

idstring Required

Unique identifier for the business

readOnly
emailstring Required

Registration email for the business

nameobject Required

Business name details

mobileobject Required

Mobile phone details

tax_identificationobject

Tax identification details

foundation_datestring

Business foundation date (ISO 8601)

account_typestring

Type of account

Enum values:
individualbusiness
statusobject Required

Business account status

dateobject Required

Important dates for the business account

risk_assessment_statusstring

Risk assessment status of the business

Enum values:
PENDINGCLEAREDREJECTEDUNKNOWN
client_reference_idstring | null

Client Ref ID

source_of_fundsstring | null

Source of funds for the business

purpose_of_account_openingstring

Purpose of account opening

additional_detailsobject

JSON meta data of additional detail

rolestring

Role of the business user

400
Object

Bad Request The response code field indicates which specific rule was violated. Possible error codes:

  • invalid_payload — Malformed form/JSON request body
  • invalid_model — Missing required fields in the request
  • validation_error — One or more request fields failed schema/business validation on create
  • invalid_required_request_parameters — Required request parameters are missing on create
  • customer_information_duplicate_error — Duplicate customer information (email/mobile/identification already in use) on create
  • already_completed_verification — The user has already completed verification
  • resource_user_id_invalid — The supplied user id is in an invalid format or not found (reactivation)
  • user_already_activated — Cannot activate an already active user (reactivation)
  • resource_user_reactivation_not_allowed — User reactivation is not allowed for the current status (reactivation)

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

401
Object

Unauthorized The response code field indicates the authentication failure.

Possible error codes:

  • access_denied — Access is denied for this resource

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

403
Object

Forbidden The response code field indicates which specific rule was violated. Possible error codes:

  • unauthorized_action — The consumer scope is not allowed to access this resource
  • restricted_resource — This V1 route is blocked for the current program_code
  • resource_user_business_id_rule — Parameter business_id is invalid (the referenced business_id does not exist or is not a business-type user) [create]
  • user_blocked_risk_threshold_exceeded — The user is risk-flagged/rejected and reactivation is disallowed [reactivation]
  • resource_user_already_terminated — The user is already blocked and the status cannot be updated (reactivation)
  • resource_user_conflict_email_restore — Cannot restore user, an active email already exists (reactivation)
  • resource_user_conflict_mobile_restore — Cannot restore user, an active mobile already exists (reactivation)

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

404
Object

Not Found The response code field indicates the missing resource.

Possible error codes:

  • route_not_defined — Missing auth definition on the given route

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

500
Object

Internal Server Error The response code field indicates the failure category.

Possible error codes:

  • request_fatal_internal — Fatal service error
  • internal_server_error — General application error

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

501
Object

Not Implemented

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

502
Object

Bad Gateway

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

503
Object

Service Unavailable

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

504
Object

Gateway Timeout

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

Was this section helpful?

POST

/

Select
1

Response

Was this section helpful?